Loading...
Searching...
No Matches
ojph::raw_out Class Reference

`#include <ojph_img_io.h>`

Inheritance diagram for ojph::raw_out:

## Public Member Functions

| raw_out ()
virtual | ~raw_out ()
void | open (char *filename)
void | configure (bool is_signed, ui32 bit_depth, ui32 width)
virtual ui32 | write (const line_buf *line, ui32 comp_num=0)
virtual void | close ()
Public Member Functions inherited from ojph::image_out_base
virtual | ~image_out_base ()

## Private Attributes

FILE * | fh
const char * | fname
bool | is_signed
ui32 | bit_depth
ui32 | bytes_per_sample
si64 | lower_val
si64 | upper_val
ui32 | width
ui8 * | buffer
ui32 | buffer_size

## Detailed Description

Definition at line 737 of file ojph_img_io.h.

## Constructor & Destructor Documentation

## raw_out()

ojph::raw_out::raw_out | ( |  | ) |

inline

Definition at line 740 of file ojph_img_io.h.

References bit_depth, buffer, buffer_size, bytes_per_sample, fh, fname, is_signed, lower_val, upper_val, and width.

## ~raw_out()

ojph::raw_out::~raw_out | ( |  | ) |

virtual

Definition at line 1610 of file ojph_img_io.cpp.

References buffer, buffer_size, and close().

## Member Function Documentation

## close()

virtual void ojph::raw_out::close | ( |  | ) |

inline virtual

Reimplemented from ojph::image_out_base.

Definition at line 756 of file ojph_img_io.h.

References fh, and fname.

Referenced by ~raw_out().

## configure()

void ojph::raw_out::configure | ( | bool | is_signed,
|  | ui32 | bit_depth,
|  | ui32 | width )

Definition at line 1632 of file ojph_img_io.cpp.

References bit_depth, buffer, buffer_size, bytes_per_sample, fh, is_signed, lower_val, upper_val, and width.

Referenced by main().

## open()

void ojph::raw_out::open | ( | char * | filename | ) |

Definition at line 1622 of file ojph_img_io.cpp.

References fh, fname, and OJPH_ERROR.

Referenced by main().

## write()

ui32 ojph::raw_out::write | ( | const line_buf * | line,
|  | ui32 | comp_num = 0 )

virtual

Implements ojph::image_out_base.

Definition at line 1653 of file ojph_img_io.cpp.

References buffer, bytes_per_sample, fh, fname, ojph::line_buf::i32, is_signed, lower_val, OJPH_ERROR, ojph_unused, upper_val, and width.

## Member Data Documentation

## bit_depth

ui32 ojph::raw_out::bit_depth

private

Definition at line 762 of file ojph_img_io.h.

Referenced by configure(), and raw_out().

## buffer

ui8* ojph::raw_out::buffer

private

Definition at line 765 of file ojph_img_io.h.

Referenced by configure(), raw_out(), write(), and ~raw_out().

## buffer_size

ui32 ojph::raw_out::buffer_size

private

Definition at line 766 of file ojph_img_io.h.

Referenced by configure(), raw_out(), and ~raw_out().

## bytes_per_sample

ui32 ojph::raw_out::bytes_per_sample

private

Definition at line 762 of file ojph_img_io.h.

Referenced by configure(), raw_out(), and write().

## fh

FILE* ojph::raw_out::fh

private

Definition at line 759 of file ojph_img_io.h.

Referenced by close(), configure(), open(), raw_out(), and write().

## fname

const char* ojph::raw_out::fname

private

Definition at line 760 of file ojph_img_io.h.

Referenced by close(), open(), raw_out(), and write().

## is_signed

bool ojph::raw_out::is_signed

private

Definition at line 761 of file ojph_img_io.h.

Referenced by configure(), raw_out(), and write().

## lower_val

si64 ojph::raw_out::lower_val

private

Definition at line 763 of file ojph_img_io.h.

Referenced by configure(), raw_out(), and write().

## upper_val

si64 ojph::raw_out::upper_val

private

Definition at line 763 of file ojph_img_io.h.

Referenced by configure(), raw_out(), and write().

## width

ui32 ojph::raw_out::width

private

Definition at line 764 of file ojph_img_io.h.

Referenced by configure(), raw_out(), and write().

The documentation for this class was generated from the following files:

- /build/openjph-z1hyMm/openjph-0.28.1/src/apps/common/ojph_img_io.h
- /build/openjph-z1hyMm/openjph-0.28.1/src/apps/others/ojph_img_io.cpp